Name:           aterm
Version:        1.0.1
Release:        %mkrel 2
Summary:        A terminal emulator with pleasant visual effects
License:        GPLv2
Group:          Terminals

URL:            http://aterm.sourceforge.net/
Source0:        ftp://ftp.afterstep.org/apps/aterm/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop

BuildRequires:  glibc-devel
BuildRequires:  libx11-devel
BuildRequires:  libxt-devel
BuildRequires:  libxext-devel
BuildRequires:  libxinerama-devel
BuildRequires:  libice-devel
BuildRequires:  libsm-devel
BuildRequires:  librsvg-devel
BuildRequires:  libglib2-devel
BuildRequires:  libgdk_pixbuf2.0-devel
BuildRequires:  libcairo-devel
BuildRequires:  libtiff-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  afterstep-devel
BuildRequires:  freetype-devel
BuildRequires:  afterstep
BuildRequires:  findutils
BuildRequires:  sed
BuildRequires:  perl


Conflicts:      ncurses-extraterms


%description
Aterm is designed to provide pleasing visual effects, while performing
such a mundane function as terminal emulation under X. It is largely
based on RXVT code. Several points set it apart from other similar
applications such as fast pseudo-transparency, optional off-focus
fading of text or when aterm looses focus its contents is
dimmed. Aterm do things like semitransparent gradient background,
supports JPEG, PNG and other images format as background, and more.



%prep
%setup -q


%build
%configure2_5x  --enable-fading           \
                --enable-background-image \
                --enable-graphics         \
                --enable-half-shadow
%make



%install
rm -rf %{buildroot}
%makeinstall_std
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop




%files
%doc INSTALL ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop







%changelog

* Sat Mar 17 2012 fwang <fwang> 1.0.1-2.mga2
+ Revision: 223753
- fix br according to new afterstep name

* Tue Oct 11 2011 eatdirt <eatdirt> 1.0.1-1.mga2
+ Revision: 153832
- imported package aterm

